Active Topics

 



Notices


Reply
Thread Tools
Posts: 16 | Thanked: 8 times | Joined on Jun 2012 @ Earth
#1
Hello Folks!

I would like to report to you that I successfully built Python 2.7.5 on my N900 running Maemo 5.


I needed it for the Development of a personal Tool that required modules with Features from >=2.6.


I couldn't find any Tutorial/How-To on the Internet so I wrote one myself on my Blog.


For anyone Interested, click here: Link to Post!



I haven't tried to make iPython working with 2.7 on my N900 but I believe that compiling from source would work.


Please Note: If I forgot to mention anything, or I wrote something wrong, I would like you to reply here or on my Blog.


Thanks to everyone on this Community!



[Screenshots Attached!]
Attached Images
 

Last edited by akatzbreaker; 2013-09-12 at 20:24.
 

The Following 4 Users Say Thank You to akatzbreaker For This Useful Post:
Posts: 16 | Thanked: 8 times | Joined on Jun 2012 @ Earth
#2
EDIT: I changed the configuration. I have to use the -with-zlib argument so that zlib installs and I am able to install distribute successfully.... (pip and easy_install for 2.7)

Last edited by akatzbreaker; 2013-09-12 at 21:03.
 
Posts: 1,138 | Thanked: 1,817 times | Joined on Feb 2011 @ The Netherlands
#3
Aapo already uploaded python 2.7 to extras-devel. See details here: http://talk.maemo.org/showthread.php...ght=python+2.7

Not to put you off, I think you're doing great work but it might be smart to bundle power
__________________
N900 loaded with:
CSSU-T (Thumb)
720p recording,
Pierogi, Lanterne, Cooktimer, Frogatto
N9 16GB loaded with:
Kernel-Plus
--
[TCPdump & libpcap | ngrep]
--
donate
 

The Following User Says Thank You to mr_pingu For This Useful Post:
Posts: 16 | Thanked: 8 times | Joined on Jun 2012 @ Earth
#4
Really?!?? I didn't find anything!!!

At least do the pip and easy_install commands work properly?


I found out how to install zlib and be able to install distribute for pip and easy_install. You just add a -with-zlib argument at the configure script.

Post Updated!


(Thanks for mentioning!)


EDIT: I wasn't able to locate the Package mentioned in that Thread. Anyway, what I wanted works so that matters! ;-)

Last edited by akatzbreaker; 2013-09-12 at 21:10.
 

The Following 3 Users Say Thank You to akatzbreaker For This Useful Post:
Reply

Tags
2.6-2.7, compile, install, python

Thread Tools

 
Forum Jump


All times are GMT. The time now is 19:43.